<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Python/SXRGenerator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Python.SXRGenerator</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../Python.html" >Python</a>.SXRGenerator

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="SXRGenerator/LexerDebugger.html" >LexerDebugger</a></div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.LexerDebugger" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line25" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="SXRGenerator/SXRGenerator.html" >SXRGenerator</a></div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.SXRGenerator.SXRGenerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line51" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SXRGenerator.html#num_tokens" >num_tokens</a></span>(<span class="variable">ptree</span>)  </div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.num_tokens" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line18" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Count the number of leaf tokens in the given ptree.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="escape">escape</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.escape" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line44" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="HAVE_ENCODING_DECL">HAVE_ENCODING_DECL</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="HAVE_IMPORT_NAME">HAVE_IMPORT_NAME</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line15" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="HAVE_DECORATOR">HAVE_DECORATOR</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="header">header</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line37" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="trailer">trailer</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line40" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="num_tokens">num_tokens</a>(<span class="variable">ptree</span>)  </div> <div class="xref"><a href="../../../../XRef/xref23.html#Synopsis.Parsers.Python.SXRGenerator.num_tokens" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#line18" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Count the number of leaf tokens in the given ptree.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
